# Dapr 1.9.2

### Fixes panics when using pubsub subscriptions or input bindings via gRPC with tracing disabled

#### Problem

Users who disabled tracing and are subscribing to Dapr pubsub components via gRPC or using input bindings via gRPC will encounter panics when an event is attempted to be delivered.

### Impact

This issue impacts users who:

- Disabled tracing by setting samplingRate to "0" in Dapr's configuration (by default, the value is "1")
- Use input bindings via gRPC and/or subscribe to pubsub components via gRPC

#### Root cause

Dapr 1.9.0 added support for tracing with OpenTelemetry, which uses a new SDK version. During the upgrade, an error was introduced causing a panic when tracing was disabled, due to a missing "nil-check".

#### Solution

We have added the missing `nil` checks to correctly handle the case where tracing is disabled.
